declare interface Window {
  ENV: 'DEV' | 'PROD'
  $loadingBar: import('naive-ui').LoadingBarProviderInst
  $dialog: import('naive-ui').DialogProviderInst
  $message: import('naive-ui').MessageProviderInst
  $notification: import('naive-ui').NotificationProviderInst
}

type Recordable<T = any> = Record<string, T>

declare type AnyObject = { [k: string]: any }
